<!--This file is generated by `build-packages.js`-->

# hast-util-is-javascript

[![Build][build-badge]][build]
[![Coverage][coverage-badge]][coverage]
[![Downloads][downloads-badge]][downloads]
[![Size][size-badge]][size]
[![Sponsors][sponsors-badge]][collective]
[![Backers][backers-badge]][collective]
[![Chat][chat-badge]][chat]

Check if an element is a JavaScript script.

## Install

[npm][]:

```sh
npm install hast-util-is-javascript
```

## Use

```js
var h = require('hastscript')
var ok = require('hast-util-is-javascript')

ok(h('script')) //=> true
ok(h('script', {type: 'text/ecmascript'})) //=> true
ok(h('script', {language: 'ecmascript'})) //=> true
ok(h('script', {type: 'text/fooscript'})) //=> false
ok(h('script', {language: 'fooscript'})) //=> false
```

## API

### `isJavaScript(node)`

Return `true` if `node` is a `<script>` element that has a valid JavaScript
`type`, has no `type` and a valid JavaScript `language`, or has neither.

## Contribute

See [`contributing.md`][contributing] in [`rehypejs/.github`][health] for ways
to get started.
See [`support.md`][support] for ways to get help.

This project has a [code of conduct][coc].
By interacting with this repository, organization, or community you agree to
abide by its terms.

## License

[MIT][license] © [Titus Wormer][author]

[build-badge]: https://img.shields.io/travis/rehypejs/rehype-minify.svg

[build]: https://travis-ci.org/rehypejs/rehype-minify

[coverage-badge]: https://img.shields.io/codecov/c/github/rehypejs/rehype-minify.svg

[coverage]: https://codecov.io/github/rehypejs/rehype-minify

[downloads-badge]: https://img.shields.io/npm/dm/hast-util-is-javascript.svg

[downloads]: https://www.npmjs.com/package/hast-util-is-javascript

[size-badge]: https://img.shields.io/bundlephobia/minzip/hast-util-is-javascript.svg

[size]: https://bundlephobia.com/result?p=hast-util-is-javascript

[sponsors-badge]: https://opencollective.com/unified/sponsors/badge.svg

[backers-badge]: https://opencollective.com/unified/backers/badge.svg

[collective]: https://opencollective.com/unified

[chat-badge]: https://img.shields.io/badge/chat-spectrum-7b16ff.svg

[chat]: https://spectrum.chat/unified/syntax-tree

[npm]: https://docs.npmjs.com/cli/install

[health]: https://github.com/rehypejs/.github

[contributing]: https://github.com/rehypejs/.github/blob/main/contributing.md

[support]: https://github.com/rehypejs/.github/blob/main/support.md

[coc]: https://github.com/rehypejs/.github/blob/main/code-of-conduct.md

[license]: https://github.com/rehypejs/rehype-minify/blob/main/license

[author]: https://wooorm.com
